Bug 59458 - (SCSI AIC7XXX IRQ_ROUTING)kernel-smp-2.4.X-XX aic7xxx does not work
(SCSI AIC7XXX IRQ_ROUTING)kernel-smp-2.4.X-XX aic7xxx does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-08 06:07 EST by Oliver Paukstadt
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Paukstadt 2002-02-08 06:07:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.16-pre1 i686)

Description of problem:
All kernel-smp from RH 7.2 won't work as SMP versions.
The UP version work fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot any smp kernel delivered by RH for RH7.2 on my box
2.
3.
	

Actual Results:  
Loading scsi_mod module
SCSI subsystem driver Revision: 1.00
Loading sd_mod module
Loading aic7xxx module
(scsi0) <Adaptec AHA-294X Ultra SCSI host adapter> found at PCI 0/17/0
(scsi0) Wide Channel, SCSI ID=7, 16/255 SCBs
(scsi0) Cables present (Int-50 YES, Int-68 NO, Ext-68 NO)
(scsi0) Downloading sequencer code... 436 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
       <Adaptec AHA-294X Ultra SCSI host adapter>
blk: queue c1209018, I/O limit 4095Mb (mask 0xffffffff)
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 0, lun 0
Inquiry 00 00 00 ff 00
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 0, lun 0
Inquiry 00 00 00 ff 00
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 1, lun 0
Inquiry 00 00 00 ff 00
  Vendor: IBM       Model: DCAS-34330        Rev: S65A
  Type:   Direct-Access                      ANSI SCSI revision: 02
blk: queue c3ccec18, I/O limit 4095Mb (mask 0xffffffff)
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 2, lun 0
Inquiry 00 00 00 ff 00
  Vendor: TOSHIBA   Model: CD-ROM XM-3501TA  Rev: 2694
  Type:   CD-ROM                             ANSI SCSI revision: 02
blk: queue c3ccec18, I/O limit 4095Mb (mask 0xffffffff)
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 3, lun 0
Inquiry 00 00 00 ff 00
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 3, lun 0
Inquiry 00 00 00 ff 00
SCSI host 0 abort (pid 0) timed out - resetting
SCSI bus is being reset for host 0 channel 0
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 3, lun 0
Inquiry 00 00 00 ff 00
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 4, lun 0
Inquiry 00 00 00 ff 00
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 4, lun 0
Inquiry 00 00 00 ff 00
SCSI host 0 abort (pid 0) timed out - resetting
SCSI bus is being reset for host 0 channel 0
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 4, lun 0
Inquiry 00 00 00 ff 00

This continues till id 15.
After third attempt to access id 15
scsi : aborting camm due to timeout : pid 0, scsi0, channel 0, id 15, lun 0
Inquiry 00 00 00 ff 00
Attached scsi disk sda at scsi0, channel 0, id 1, lun 0
scsi : aborting command due to timeout : pid 0, scsi0, channel 0, id 1, lun 0
Test Unit Ready 00 00 00 00 00
(scsi0:0:1:0) SCSISIGI 0xb4, SEQADDR 0xa5, SSTAT0 0x5, SSTAT1 0x2
(scsi0:0:1:0) SG_CACHEPTR 0x0, SSTAT2 0x0, STCNT 0x0
SCSI host 0 abort (pid 0) timed out - resetting
SCSI bus is being reset for host 0 channel 0
SCSI host 0 abort (pid 0) timed out - resetting
SCSI bus is being reset for host 0 channel 0
(scsi0:0:1:0) Device reset, Message buffer in use
SCSI host 0 channel 0 reset (pid 0) timed out - trying harder
SCSI bus is being reset for host 0 channel 0
SCSI host 0 abort (pid 0) timed out - resetting
SCSI bus is being reset for host 0 channel 0

and so on

Expected Results:  
Working aic7xxx driver, like with all UP-Kernels deliverd for RH 7.2
(This is standard 2.4.7-XX deliverd with RH 7.2)

SCSI subsystem driver Revision: 1.00
(scsi0) <Adaptec AHA-294X Ultra SCSI host adapter> found at PCI 0/17/0
(scsi0) Wide Channel, SCSI ID=7, 16/255 SCBs
(scsi0) Cables present (Int-50 YES, Int-68 NO, Ext-68 NO)
(scsi0) Downloading sequencer code... 436 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
       <Adaptec AHA-294X Ultra SCSI host adapter>
  Vendor: IBM       Model: DCAS-34330        Rev: S65A
  Type:   Direct-Access                      ANSI SCSI revision: 02
  Vendor: TOSHIBA   Model: CD-ROM XM-3501TA  Rev: 2694
  Type:   CD-ROM                             ANSI SCSI revision: 02
Attached scsi disk sda at scsi0, channel 0, id 1, lun 0
(scsi0:0:1:0) Synchronous at 20.0 Mbyte/sec, offset 15.
SCSI device sda: 8467200 512-byte hdwr sectors (4335 MB)
Partition check:


Additional info:

TYAN TOMCAT with Dual P133
Comment 1 Bugzilla owner 2004-09-30 11:39:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.